<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcSoundListener Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcSoundListener Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcSoundListener" --><!-- doxytag: inherits="iBase" -->
<p>This is the sound listener property class.  
 <a href="structiPcSoundListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sound_8h_source.html">propclass/sound.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcSoundListener:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcSoundListener.png" usemap="#iPcSoundListener_map" alt=""/>
  <map id="iPcSoundListener_map" name="iPcSoundListener_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,111,24"/>
</map>
 </div></div>

<p><a href="structiPcSoundListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSndSysListener.html">iSndSysListener</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundListener.html#ac3fb9d6f8dfee835c4d682e340514583">GetSoundListener</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the sound listener.  <a href="#ac3fb9d6f8dfee835c4d682e340514583"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is the sound listener property class. </p>
<p>There can really be only one listener at any moment. It represents the listener (i.e. player of the game).</p>
<p>This property class supports the following actions (add prefix 'cel.sound.listener.action.' if you want to access this action through a message):</p>
<ul>
<li>SetDirection: parameters 'front' (vector3), 'top' (vector3).</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>front (vector3, read/write): front direction.</li>
<li>top (vector3, read/write): top direction.</li>
<li>position (vector3, read/write): position.</li>
<li>distancefactor (float, read/write): distance factor.</li>
<li>rollofffactor (float, read/write): rolloff factor.</li>
<li>headsize (float, read/write): headsize. </li>
</ul>

<p>Definition at line <a class="el" href="sound_8h_source.html#l00046">46</a> of file <a class="el" href="sound_8h_source.html">sound.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac3fb9d6f8dfee835c4d682e340514583"></a><!-- doxytag: member="iPcSoundListener::GetSoundListener" ref="ac3fb9d6f8dfee835c4d682e340514583" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSndSysListener.html">iSndSysListener</a>* <a class="el" href="structiPcSoundListener.html#ac3fb9d6f8dfee835c4d682e340514583">iPcSoundListener::GetSoundListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the sound listener. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="sound_8h_source.html">sound.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
